require "Items/SuburbsDistributions"
require "seifuku_defines"

Events.OnInitGlobalModData.Add(function()

    local addToDistroTable = seifuku.addToDistroTable
    local distributeCuteClothes = seifuku.distributeCuteClothes
    local distributeSchoolUniform = seifuku.distributeSchoolUniform
    local distributeSweaters = seifuku.distributeSweaters
    local distributeTies = seifuku.distributeTies
    local distributeSocks = seifuku.distributeSocks
    local distributeGymUniform = seifuku.distributeGymUniform
    local distributeSwimsuits = seifuku.distributeSwimsuits
    local distributeShoes = seifuku.distributeShoes

    distributeCuteClothes(ProceduralDistributions.list['BedroomDresser'].items, 0.005, 0, 0.005, 0, 0)
    distributeSchoolUniform(ProceduralDistributions.list['BedroomDresser'].items, 0, 0.05, 0.05, 0, 0.05)
    distributeSweaters(ProceduralDistributions.list['BedroomDresser'].items, 0.1)
    distributeTies(ProceduralDistributions.list['BedroomDresser'].items, 0.05)
    distributeSocks(ProceduralDistributions.list['BedroomDresser'].items, 0.5)
    distributeGymUniform(ProceduralDistributions.list['BedroomDresser'].items, 0.1, 0.1)
    distributeSwimsuits(ProceduralDistributions.list['BedroomDresser'].items, 0.05, 0.01, 5, 10)

    distributeTies(ProceduralDistributions.list['BedroomSideTable'].items, 0.05)
    addToDistroTable(ProceduralDistributions.list["BedroomSideTable"].items, "seifuku.Hat_CuteMask", 0.005)

    addToDistroTable(ProceduralDistributions.list["CampingStoreClothes"].items, "seifuku.JacketCute", 2)

    distributeCuteClothes(ProceduralDistributions.list['ClassroomDesk'].items, 0.05, 0, 0, 0.005, 0.001)
    distributeTies(ProceduralDistributions.list['ClassroomDesk'].items, 0.1)
    distributeGymUniform(ProceduralDistributions.list['ClassroomDesk'].items, 0.5, 0.1)
    distributeShoes(ProceduralDistributions.list['ClassroomDesk'].items, 1, 4)

    distributeShoes(ProceduralDistributions.list['ClassroomMisc'].items, 0, 4)

    distributeShoes(ProceduralDistributions.list['ClosetShelfGeneric'].items, 1, 0)
    addToDistroTable(ProceduralDistributions.list["ClosetShelfGeneric"].items, "seifuku.JacketCute", 0.001)

    addToDistroTable(ProceduralDistributions.list["ClothingStorageAllJackets"].items, "seifuku.JacketCute", 2)

    distributeSchoolUniform(ProceduralDistributions.list['ClothingStorageAllShirts'].items, 0, 2, 0, 0, 0)
    distributeSweaters(ProceduralDistributions.list['ClothingStorageAllShirts'].items, 2)
    addToDistroTable(ProceduralDistributions.list["ClothingStorageAllShirts"].items, "seifuku.GymUniform_Shirt", 6)

    distributeShoes(ProceduralDistributions.list['ClothingStorageFootwear'].items, 6, 2)

    addToDistroTable(ProceduralDistributions.list["ClothingStoresDress"].items, "seifuku.SchoolUniform_Skirt", 4)

    distributeSchoolUniform(ProceduralDistributions.list['ClothingStoresJacketsFormal'].items, 6, 0, 0, 6, 0)

    addToDistroTable(ProceduralDistributions.list["ClothingStoresJumpers"].items, "seifuku.JacketCute", 4)
    distributeSweaters(ProceduralDistributions.list['ClothingStoresJumpers'].items, 2)

    addToDistroTable(ProceduralDistributions.list["ClothingStoresPantsFormal"].items, "seifuku.MaleUniform_Trousers", 6)

    addToDistroTable(ProceduralDistributions.list["ClothingStoresShirts"].items, "seifuku.GymUniform_Shirt", 6)

    distributeSchoolUniform(ProceduralDistributions.list['ClothingStoresShirtsFormal'].items, 0, 6, 0, 0, 0)

    distributeShoes(ProceduralDistributions.list['ClothingStoresShoes'].items, 6, 4)

    distributeShoes(ProceduralDistributions.list['ClothingStoresShoesLeather'].items, 10, 0)

    distributeSocks(ProceduralDistributions.list['ClothingStoresSocks'].items, 4)
    distributeSocks(ProceduralDistributions.list['ClothingStoresSocks'].items, 4)

    distributeGymUniform(ProceduralDistributions.list['ClothingStoresSport'].items, 4, 4)

    distributeSwimsuits(ProceduralDistributions.list['ClothingStoresSummer'].items, 6, 4, 2, 0)

    distributeCuteClothes(ProceduralDistributions.list['ClothingStoresUnderwearWoman'].items, 0, 0, 2, 0, 0)

    distributeSchoolUniform(ProceduralDistributions.list['CrateClothesRandom'].items, 3, 3, 0, 3, 0)
    distributeSweaters(ProceduralDistributions.list['CrateClothesRandom'].items, 3)
    distributeGymUniform(ProceduralDistributions.list['CrateClothesRandom'].items, 4, 4)
    addToDistroTable(ProceduralDistributions.list["CrateClothesRandom"].items, "seifuku.JacketCute", 0.5)

    distributeCuteClothes(ProceduralDistributions.list['CrateCostume'].items, 4, 2, 1, 0, 0.1)

    distributeShoes(ProceduralDistributions.list['CrateFootwearRandom'].items, 6, 4)

    distributeCuteClothes(ProceduralDistributions.list['CrateRandomJunk'].items, 1, 2, 0.05, 0.005, 0.001)
    distributeSchoolUniform(ProceduralDistributions.list['CrateRandomJunk'].items, 0.3, 0.3, 0.2, 0.3, 0.2)
    distributeSweaters(ProceduralDistributions.list['CrateRandomJunk'].items, 0.3)
    distributeGymUniform(ProceduralDistributions.list['CrateRandomJunk'].items, 0.4, 0.4)
    distributeSwimsuits(ProceduralDistributions.list['CrateRandomJunk'].items, 0.3, 0.3, 1, 1)
    distributeShoes(ProceduralDistributions.list['CrateRandomJunk'].items, 0, 2)

    distributeSchoolUniform(ProceduralDistributions.list['CrateTailoring'].items, 6, 6, 6, 6, 6)

    distributeCuteClothes(ProceduralDistributions.list['DresserGeneric'].items, 0.005, 0, 0.005, 0, 0)
    distributeSchoolUniform(ProceduralDistributions.list['DresserGeneric'].items, 0, 0.05, 0.05, 0, 0.05)
    distributeSweaters(ProceduralDistributions.list['DresserGeneric'].items, 0.1)
    distributeTies(ProceduralDistributions.list['DresserGeneric'].items, 0.05)
    distributeSocks(ProceduralDistributions.list['DresserGeneric'].items, 0.5)
    distributeGymUniform(ProceduralDistributions.list['DresserGeneric'].items, 0.1, 0.1)
    distributeSwimsuits(ProceduralDistributions.list['DresserGeneric'].items, 0.05, 0.01, 5, 10)

    distributeGymUniform(ProceduralDistributions.list['FitnessTrainer'].items, 0.5, 0.25)
    distributeSwimsuits(ProceduralDistributions.list['FitnessTrainer'].items, 0.05, 0.05, 0, 0)

    distributeCuteClothes(ProceduralDistributions.list['Gifts'].items, 0.8, 0.2, 0.4, 0.005, 0.001)
    addToDistroTable(ProceduralDistributions.list["Gifts"].items, "seifuku.SchoolUniform_Summer", 4)
    distributeSocks(ProceduralDistributions.list['DresserGeneric'].items, 4)

    distributeGymUniform(ProceduralDistributions.list['GymLaundry'].items, 2, 2)

    distributeGymUniform(ProceduralDistributions.list['GymLockers'].items, 1, 2)

    addToDistroTable(ProceduralDistributions.list["LaundryLoad3"].items, "seifuku.MaleUniform_Trousers", 4)

    addToDistroTable(ProceduralDistributions.list["LaundryLoad4"].items, "seifuku.GymUniform_Shirt", 10)

    distributeSweaters(ProceduralDistributions.list['LaundryLoad5'].items, 2)

    distributeCuteClothes(ProceduralDistributions.list['LaundryLoad6'].items, 0, 0, 0, 0.05, 0.001)
    distributeSchoolUniform(ProceduralDistributions.list['LaundryLoad6'].items, 0, 0.4, 0.4, 0, 0.2)
    distributeSweaters(ProceduralDistributions.list['LaundryLoad6'].items, 0.4)
    distributeGymUniform(ProceduralDistributions.list['LaundryLoad6'].items, 0.5, 0.4)
    distributeSwimsuits(ProceduralDistributions.list['LaundryLoad6'].items, 0.3, 0.1, 5, 0)

    addToDistroTable(ProceduralDistributions.list["LaundryLoad7"].items, "seifuku.GymUniform_Shirt", 10)
    distributeSocks(ProceduralDistributions.list['LaundryLoad7'].items, 5)

    addToDistroTable(ProceduralDistributions.list["LaundryLoad8"].items, "seifuku.GymUniform_Bloomers", 0.8)
    distributeSocks(ProceduralDistributions.list['LaundryLoad8'].items, 5)

    addToDistroTable(ProceduralDistributions.list["LingerieStoreOutfits"].items, "seifuku.SchoolUniform_Summer", 4)
    addToDistroTable(ProceduralDistributions.list["LingerieStoreOutfits"].items, "seifuku.SchoolUniform_SkirtMini", 4)

    distributeCuteClothes(ProceduralDistributions.list['LingerieStoreUnderwear'].items, 0, 0, 0.4, 0, 0)

    distributeSocks(ProceduralDistributions.list['Locker'].items, 0.5)

    distributeCuteClothes(ProceduralDistributions.list['LockerClassy'].items, 0.025, 0, 0.05, 0.025, 0)
    distributeSchoolUniform(ProceduralDistributions.list['LockerClassy'].items, 0.25, 0.25, 0.5, 0, 0)
    distributeSweaters(ProceduralDistributions.list['LockerClassy'].items, 0.1)
    distributeTies(ProceduralDistributions.list['LockerClassy'].items, 0.05)
    distributeSwimsuits(ProceduralDistributions.list['LockerClassy'].items, 0.1, 0.02, 5, 10)
    distributeSocks(ProceduralDistributions.list['LockerClassy'].items, 0.5)
    distributeShoes(ProceduralDistributions.list['LockerClassy'].items, 1, 0.25)
    addToDistroTable(ProceduralDistributions.list["LockerClassy"].items, "seifuku.GymUniform_Shirt", 0.5)
    addToDistroTable(ProceduralDistributions.list["LockerClassy"].items, "seifuku.GymUniform_Bloomers", 0.5)

    addToDistroTable(ProceduralDistributions.list["OfficeDesk"].items, "seifuku.Hat_CuteMask", 0.01)

    addToDistroTable(ProceduralDistributions.list["OfficeDeskHome"].items, "seifuku.Hat_CuteMask", 0.005)

    distributeCuteClothes(ProceduralDistributions.list['PetShopShelf'].items, 0, 20, 0, 0, 0)

    distributeSwimsuits(ProceduralDistributions.list['PoolLockers'].items, 10, 2, 0, 0)

    distributeCuteClothes(ProceduralDistributions.list['SchoolLockers'].items, 0.1, 0, 0, 0.05, 0)
    distributeSchoolUniform(ProceduralDistributions.list['SchoolLockers'].items, 2, 2, 2, 2, 2)
    distributeSweaters(ProceduralDistributions.list['SchoolLockers'].items, 2)
    distributeTies(ProceduralDistributions.list['SchoolLockers'].items, 1)
    distributeGymUniform(ProceduralDistributions.list['SchoolLockers'].items, 8, 8)
    distributeSwimsuits(ProceduralDistributions.list['SchoolLockers'].items, 4, 1, 0, 0)
    distributeShoes(ProceduralDistributions.list['SchoolLockers'].items, 2, 6)

    distributeCuteClothes(ProceduralDistributions.list['StripClubDressers'].items, 0, 0.2, 0.2, 0, 0)
    distributeSwimsuits(ProceduralDistributions.list['StripClubDressers'].items, 0.2, 0.2, 1, 0)
    addToDistroTable(ProceduralDistributions.list["StripClubDressers"].items, "seifuku.SchoolUniform_Summer", 0.2)
    addToDistroTable(ProceduralDistributions.list["StripClubDressers"].items, "seifuku.SchoolUniform_SkirtMini", 0.2)

    distributeSwimsuits(ProceduralDistributions.list['VacationStuff'].items, 6, 2, 3, 0)

    distributeCuteClothes(ProceduralDistributions.list['WardrobeChild'].items, 0.1, 0, 0.2, 0.05, 0.05)
    distributeSchoolUniform(ProceduralDistributions.list['WardrobeChild'].items, 1, 1, 1, 1, 1)
    distributeSweaters(ProceduralDistributions.list['WardrobeChild'].items, 1)
    distributeTies(ProceduralDistributions.list['WardrobeChild'].items, 1)
    distributeGymUniform(ProceduralDistributions.list['WardrobeChild'].items, 2, 2)
    distributeSwimsuits(ProceduralDistributions.list['WardrobeChild'].items, 0.5, 0.1, 0, 0)
    distributeSocks(ProceduralDistributions.list['WardrobeChild'].items, 0.5)
    distributeShoes(ProceduralDistributions.list['WardrobeChild'].items, 6, 4)

    distributeSchoolUniform(ProceduralDistributions.list['WardrobeMan'].items, 0, 0, 0, 0.25, 0.5)
    distributeSweaters(ProceduralDistributions.list['WardrobeMan'].items, 0.25)
    distributeShoes(ProceduralDistributions.list['WardrobeMan'].items, 1, 0.25)
    addToDistroTable(ProceduralDistributions.list["WardrobeMan"].items, "seifuku.MaleUniform_Sukumizu", 0.1)
    addToDistroTable(ProceduralDistributions.list["WardrobeMan"].items, "seifuku.GymUniform_Shirt", 0.5)
    addToDistroTable(ProceduralDistributions.list["WardrobeMan"].items, "seifuku.GymUniform_Shorts", 0.5)

    distributeSchoolUniform(ProceduralDistributions.list['WardrobeManClassy'].items, 0, 0, 0, 0.5, 1)
    distributeSweaters(ProceduralDistributions.list['WardrobeManClassy'].items, 0.5)
    addToDistroTable(ProceduralDistributions.list["WardrobeManClassy"].items, "seifuku.MaleUniform_Sukumizu", 0.1)
    addToDistroTable(ProceduralDistributions.list["WardrobeManClassy"].items, "seifuku.GymUniform_Shirt", 0.5)
    addToDistroTable(ProceduralDistributions.list["WardrobeManClassy"].items, "seifuku.GymUniform_Shorts", 0.5)
    distributeShoes(ProceduralDistributions.list['WardrobeManClassy'].items, 1, 0.25)

    distributeCuteClothes(ProceduralDistributions.list['WardrobeWoman'].items, 0.025, 0, 0.05, 0.025, 0)
    distributeSchoolUniform(ProceduralDistributions.list['WardrobeWoman'].items, 0.25, 0.25, 0.5, 0, 0)
    distributeSweaters(ProceduralDistributions.list['WardrobeWoman'].items, 0.25)
    distributeTies(ProceduralDistributions.list['WardrobeWoman'].items, 0.5)
    distributeSwimsuits(ProceduralDistributions.list['WardrobeWoman'].items, 0.1, 0.02, 5, 10)
    distributeSocks(ProceduralDistributions.list['WardrobeWoman'].items, 0.5)
    distributeShoes(ProceduralDistributions.list['WardrobeWoman'].items, 1, 0.25)
    addToDistroTable(ProceduralDistributions.list["WardrobeWoman"].items, "seifuku.GymUniform_Shirt", 0.5)
    addToDistroTable(ProceduralDistributions.list["WardrobeWoman"].items, "seifuku.GymUniform_Bloomers", 0.5)

    distributeCuteClothes(ProceduralDistributions.list['WardrobeWomanClassy'].items, 0.005, 0, 0.05, 0.025, 0)
    distributeSchoolUniform(ProceduralDistributions.list['WardrobeWomanClassy'].items, 0.5, 0.5, 1, 0, 0)
    distributeSweaters(ProceduralDistributions.list['WardrobeWomanClassy'].items, 0.1)
    distributeTies(ProceduralDistributions.list['WardrobeWomanClassy'].items, 1)
    distributeSwimsuits(ProceduralDistributions.list['WardrobeWomanClassy'].items, 0.1, 0.02, 5, 10)
    distributeSocks(ProceduralDistributions.list['WardrobeWomanClassy'].items, 0.5)
    distributeShoes(ProceduralDistributions.list['WardrobeWomanClassy'].items, 1, 0.25)
    addToDistroTable(ProceduralDistributions.list["WardrobeWomanClassy"].items, "seifuku.GymUniform_Shirt", 0.5)
    addToDistroTable(ProceduralDistributions.list["WardrobeWomanClassy"].items, "seifuku.GymUniform_Bloomers", 0.5)

    ItemPickerJava.Parse()

end)